package com.itechnica.svg {

	/**
	* @class String2
	* @author Helen Triolo, with inclusions from Tim Groleau
	* @description String functions not included in String needed for path->array conversion
	*/
	public class String2 {
	
		/**
		* @method replace ()
		* @description Replaces sFind in s with sReplace
		* @param s (String) original string
		* @param sFind (String) part to be replaced
		* @param sReplace (String) string to replace it with
		* @returns (String) string with replacement
		*/
		public static function replace(s:String, sFind:String, sReplace:String):String {
		  return s.split(sFind).join(sReplace);
		}
		
		/**
		* @method shrinkSequencesOf (Groleau)
		* @description Shrinks all sequences of a given character in a string to one
		* @param s (String) original string
		* @param ch (String) character to be found
		* @returns (String) string with sequences shrunk
		*/
		public static function shrinkSequencesOf(originalString:String, characterToBeFound:String):String {
			const length:uint = originalString.length;
			var startIndex:int = 0;
			var endIndex:int = 0;
			var resultString:String = "";
			
			while ((endIndex = originalString.indexOf(characterToBeFound, startIndex) + 1) != 0) {
				// include string up to first character in sequence
				resultString += originalString.substring(startIndex, endIndex);
				startIndex = endIndex;
				
				// remove all subsequent characters in sequence
				while ((originalString.charAt(startIndex) == characterToBeFound) && (startIndex < length)) { 
					startIndex++;
				}
			}
			return resultString + originalString.substring(startIndex, length);	
		}
		
	}
}
