package com.itechnica.svg.draw {
	import flash.display.Graphics;	
	
	public class FillCommand extends DrawingCommand implements IDrawable {

		private var colorValue:uint;
		private var alphaValue:Number;

		public function FillCommand(color:uint, alpha:Number) {
			initInstance(color, alpha);
		}
		
		private function initInstance(color:uint, alpha:Number):void {
			colorValue = color;
			alphaValue = alpha;
		}
		
		public function get color ():uint {
			return colorValue;
		}
		public function set color (value:uint):void {
			colorValue = value;
		}
		
		public function get alpha ():Number {
			return alphaValue;
		}
		public function set alpha (value:Number):void {
			alphaValue = value;
		}
		
		public function draw(target:Graphics):void {
			target.beginFill(colorValue, alphaValue);
		}
		
		override public function toString() : String {
			return "beginFill(0x"+colorValue.toString(16)+", "+ alphaValue+")";
		}
		
	}
}
