package com.itechnica.svg.draw {
	import flash.display.Graphics;	
	
	public class StyleCommand extends DrawingCommand implements IDrawable {

		private var thicknessValue:Number;
		private var colorValue:uint;
		private var alphaValue:Number;
		
		public function StyleCommand(thickness:Number, color:uint, alpha:Number) {
			initInstance(thickness, color, alpha);
		}
		
		private function initInstance(thickness:Number, color:uint, alpha:Number):void {
			thicknessValue = thickness;
			colorValue = color;
			alphaValue = alpha;
		}
		
		public function get thickness ():Number {
			return thicknessValue;
		}
		public function set thickness (value:Number):void {
			thicknessValue = value;
		}
		
		public function get color ():uint {
			return colorValue;
		}
		public function set color (value:uint):void {
			colorValue = value;
		}
		
		public function get alpha ():Number {
			return alphaValue;
		}
		public function set alpha (value:Number):void {
			alphaValue = value;
		}
		
		public function draw(target:Graphics):void {
			target.lineStyle(thicknessValue, colorValue, alphaValue);
		}
		
		override public function toString() : String {
			return "beginFill("+thicknessValue+", 0x"+colorValue.toString(16)+", "+ alphaValue+")";
		}
		
		
	}
}